Subject: Re: [TR] Car trouble in Hannibal, Mo

From: Roger Elliott <[email-masked]>
Date: Mon, 04 Nov 2013 18:32:08 -0600

Hi All,

I want to thank everyone for their suggestions on what could be wrong 
and to give an update as to the actual cause.

But first a couple of things I tried.  Tried popping open the gas cap - 
no help.  Checked the wire on the Pertronix plate, I could not get it to 
indicate it was broken.  Replaced more of the gas lines.

Then I took off the top of the fuel pump, thinking I would check the 
screen in it.  There was no screen.  But then I noticed the problem.

drum roll.

Only one of the valves was in place.  The other one was laying down on 
top of the fuel pump.    So, I took the pump off, took it apart and 
tapped the valve back in place and then staked it.  Put the pump back on 
and took it for a drive.  It ran fine.

I think the only reason, the car was restarting is that the tank was 
full and providing some pressure to help fill the carbs.

The valve must have finally fallen out at the time we were getting gas.

Roger Elliott

On 10/20/2013 07:38 AM, Roger Elliott wrote:
> Hi,
> We have been driving my wife's TR 250 through Ohio for the last week.  It has been running great until we stopped for gas.
>
> It started out fine, but as we were pulling on the highway, it didn't have any power and then died.
>
>
> I found a vacuum hose that had come out I put it back in and it ran fine while we drove a short distance to a restaraunt.  But then, we we got onto the highway, we drove about 3 miles and it ran out of power and dies again.
>
>
> Hoses were still in place.  I replaced the fuel filter, checked 1 diaphragm.  It was okay. I thought if only 1 was bad, it probably would not die. The fuel filter was full of gas and seemed to let the gas through.
>
>
> Oil pressure was good. doesnt'seem to be electrical.
>
> So, I have 2 questions.  1) Any suggestions on what it might be?
>
> 2) Any suggestions for a shop in Hannibel, MO?
>
> Roger Elliott
> 68 TR 250
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]

** [email-masked] **

Archive: http://www.team.net/archive